Subject: bug#23529: Request for fixing randomize_va_space build issues

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Sep 2016 22:11:26 +0300

> From: Philippe Vaucher <[email-masked]>
> Date: Tue, 6 Sep 2016 20:24:19 +0200
> Cc: Paul Eggert <[email-masked]>, [email-masked], [email-masked]
> 
> You got me curious, can you explain a bit why it is useful? I always
> thought the reason was about speed, something historical that was
> needed "back then".

If you are loading a lot of code in your init files, you could simply
dump Emacs with all that code loaded.

> AFAIK, nowadays most people that care about speed use autoloads or
> use-package and get under 2-3s of load-time.

Loading a large package can still be slow enough to annoy.  Try
loading Org, for example; then imagine you have several such large
packages to load at startup.